TriggerConstantContract
POST
Invoke the readonly function (modified by the
view or pure modifier) of a contract for contract data query; or Invoke the non-readonly function of a contract for predicting whether the transaction can be successfully executed or estimating the energy consumption. (Confirmed state)Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)contract_addressstring
Contract address. (Format: Base58 or Hex).Example: TG3XXyExBkPp9nzdajDZsozEu4BkaSJozsfunction_selectorstring
Function selector.Example: balanceOf(address)parameterstring
ABI-encoded function parameters (Hex String).Example: 000000000000000000000000a614f803b6fd780986a42c78ec9c7f77e6ded13cdatastring
This field transmits the necessary data for smart contract interaction, including the function being called and its parameters. You may choose to use the data field, which contains the complete ABI-encoded information, or use the function_selector and parameter fields separately. Note that if both data and function_selector are present, the system will prioritize using the function_selector and parameter fields for the contract interaction.call_valueinteger
Amount of TRX transferred into the contract. (Unit: sun)call_token_valueinteger
Amount of TRC-10 token transferred into the contract.token_idinteger
TRC-10 token idvisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
Run result, for detailed parameter definition, refer to EstimateEnergy
resultboolean
Whether the call succeeded.constant_resultarray
List of results from a constant contract call.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/triggerconstantcontract' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"contract_address": "TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs","function_selector": "balanceOf(address)","parameter": "000000000000000000000000a614f803b6fd780986a42c78ec9c7f77e6ded13c"}'